Bug 173855 - Default keyboard coding system does not handle properly UTF-8 input.
Default keyboard coding system does not handle properly UTF-8 input.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 17:13 EST by Dawid Gajownik
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 21.4-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 16:05:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2005-11-21 17:13:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20051107 SeaMonkey/1.5a

Description of problem:
With default settings I'm not able to type in the console (ALT+F1) non-US-ASCII characters. Everything is fine in graphical Emacs. "C-h C RET" shows me something like this:

Coding system for saving this buffer:
  Not set locally, use the default.
Default coding system (for new files):
  u -- utf-8 (alias of mule-utf-8)
Coding system for keyboard input:
  nil
Coding system for terminal output:
  u -- utf-8 (alias of mule-utf-8)
Defaults for subprocess I/O:
  decoding: u -- utf-8 (alias of mule-utf-8)
  encoding: u -- utf-8 (alias of mule-utf-8)

[snip]

This is the same problem as bug #106929

Version-Release number of selected component (if applicable):
emacs-21.4-8

How reproducible:
Always

Steps to Reproduce:
Open GNU Emacs and try to type some non-US-ASCII characters.
  

Additional info:

I use “pl_PL.UTF-8” locale and “pl2” keymap. Adding:

(set-keyboard-coding-system 'utf-8)

to the config file resolves the problem. FC4's version is also broken.
Comment 1 Jens Petersen 2005-11-23 23:08:23 EST
Thanks for the report - should be fixed in next devel build (21.4-9).
Comment 2 Dawid Gajownik 2005-11-24 19:11:54 EST
It does not work for me. Additionally, Emacs shows new warning:

End of file during parsing:
/usr/share/emacs/site-lisp/site-start.d/lang-coding-systems-init.el
Comment 3 Jens Petersen 2005-11-25 04:03:45 EST
Doh, missed a paren: should be better in 21.4-10.
Comment 4 Dawid Gajownik 2005-11-30 16:05:28 EST
Thanks!

Note You need to log in before you can comment on or make changes to this bug.